> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Document Analyses Results

> Get Document Analyses Results



## OpenAPI

````yaml /specs/fc-kyb-exp-bundled_generated.yaml get /v2/organizations/{entityId}/documents/{documentId}/analyses
openapi: 3.0.3
info:
  title: KYB V2 API - Experimental
  version: 1.0.0
  description: >
    The KYB Experimental API provides endpoints for analyzing and confirming
    documents for organizations.

    These APIs are undergoing heavy active development and are subject to change
    without notice as the product is refined.
  license:
    name: Frankieone
    url: https://apidocs.frankiefinancial.com/
servers:
  - url: https://api.kycaml.frankiefinancial.io/experimental
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io/experimental
    description: UAT Environment API Base URL
security:
  - jwt: []
paths:
  /v2/organizations/{entityId}/documents/{documentId}/analyses:
    parameters:
      - $ref: '#/components/parameters/X-Frankie-CustomerID'
      - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
      - $ref: '#/components/parameters/X-Frankie-Channel'
      - $ref: '#/components/parameters/Api-Key'
      - $ref: '#/components/parameters/documentId'
      - $ref: '#/components/parameters/entityId'
      - $ref: '#/components/parameters/showResults'
    get:
      tags:
        - Organization
      summary: Document Analyses Results
      description: Get Document Analyses Results
      operationId: documentAnalysisResults
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document-Analysis-Get-Results-Response'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - jwt:
            - document-analysis.read
components:
  parameters:
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    documentId:
      name: documentId
      in: path
      schema:
        type: string
      description: Unique identifier for a document
      required: true
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    showResults:
      name: showResults
      in: query
      schema:
        $ref: '#/components/schemas/Show-Results-Enum'
      description: Which types of results should be shown
  schemas:
    Document-Analysis-Get-Results-Response:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        analyses:
          type: array
          items:
            $ref: '#/components/schemas/Document-Analysis-Information-Results'
        requestId:
          $ref: '#/components/schemas/Request-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Show-Results-Enum:
      type: string
      description: >
        The different options for what results should be returned.

        * COMPLETE: Only completed results will be shown.

        * CONFIRMED: Only confirmed results will be shown.

        * LATEST: Only the latest results will be shown (confirmed or
        completed).
      default: LATEST
      enum:
        - COMPLETE
        - CONFIRMED
        - LATEST
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Analysis-Information-Results:
      type: object
      description: Information about the analysis as well as the results of the analysis.
      allOf:
        - $ref: '#/components/schemas/Document-Analysis-Information'
        - $ref: '#/components/schemas/Document-Analysis-Information-And-References'
        - type: object
          properties:
            errors:
              description: Any errors associated with the analysis
              type: array
              items:
                $ref: '#/components/schemas/Error-Base'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Document-Analysis-Information:
      type: object
      description: Information about the document analysis operation itself.
      properties:
        documentId:
          $ref: '#/components/schemas/Document-ID'
        status:
          $ref: '#/components/schemas/Analysis-Status'
        analysisId:
          $ref: '#/components/schemas/Analysis-ID'
    Document-Analysis-Information-And-References:
      type: object
      description: Document information with references
      properties:
        references:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Reference'
        documentInformation:
          discriminator:
            propertyName: type
            mapping:
              TRUST_DOCUMENT:
                $ref: '#/components/schemas/Document-Information-Trust'
          oneOf:
            - $ref: '#/components/schemas/Document-Information-Trust'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Document-ID:
      type: string
      format: uuid
      description: >-
        As documents are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify a document, include the documentId in an update request.
      example: 92de15f64-5717-4562-b3fc-2c963f6665a7
      x-oapi-codegen-extra-tags:
        audit: keep
    Analysis-Status:
      description: >-
        The current state of the analysis. Simplified enum so machines can rely
        on these to make decisions.
      type: string
      enum:
        - PROCESSING
        - FAILED
        - COMPLETE
        - CONFIRMED
    Analysis-ID:
      type: string
      description: An identifier to uniquely identify a specific instance of analysis.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    Reference:
      type: object
      properties:
        referenceId:
          $ref: '#/components/schemas/Reference-ID'
        sourceId:
          type: string
          description: The source of the document from which the reference was extracted
        location:
          $ref: '#/components/schemas/Reference-Location'
    Document-Information-Trust:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/Document-Analysis-Type'
        trust:
          $ref: '#/components/schemas/Trust-Details-With-References'
    Reference-ID:
      type: string
      description: >
        An identifier for the reference where you can find out more information
        from where this data was obtained.

        Lookup the ID in the reference map to obtain more information about the
        information the refwerence ID is associated with.
    Reference-Location:
      type: object
      description: The location of a reference in a document
      properties:
        page:
          type: integer
          description: The page number of the reference in the document
    Document-Analysis-Type:
      type: string
      description: The type of document analysis to perform
      enum:
        - TRUST_DOCUMENT
    Trust-Details-With-References:
      type: object
      description: The basic information that is applicable to any trust
      properties:
        name:
          $ref: '#/components/schemas/Value-String-Reference-IDs'
        establishment:
          $ref: '#/components/schemas/Establishment'
        certification:
          $ref: '#/components/schemas/Certification'
        execution:
          $ref: '#/components/schemas/Execution'
        linkedIndividuals:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Linked-Individual-With-References'
        linkedOrganizations:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Linked-Organization-With-References'
        linkedUnknownEntities:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Linked-Unknown-Entity-With-References'
        settlors:
          type: array
          items:
            $ref: '#/components/schemas/Entity-ID-Type-With-References'
        trustees:
          type: array
          items:
            $ref: '#/components/schemas/Entity-ID-Type-With-References'
        type:
          $ref: '#/components/schemas/Trust-Type-Identification'
        typeInformation:
          $ref: '#/components/schemas/Trust-Type-Specific-Information'
    Value-String-Reference-IDs:
      type: object
      properties:
        value:
          description: The value of the field
          type: string
        referenceIds:
          type: array
          items:
            $ref: '#/components/schemas/Reference-ID'
    Establishment:
      type: object
      description: Information about the establishment of a trust deed
      properties:
        date:
          $ref: '#/components/schemas/Date-With-References'
        country:
          $ref: '#/components/schemas/Value-String-Reference-IDs'
        subdivision:
          $ref: '#/components/schemas/Value-String-Reference-IDs'
    Certification:
      type: object
      description: Information about the certification of a trust deed
      properties:
        date:
          $ref: '#/components/schemas/Date-With-References'
    Execution:
      type: object
      description: Information about the execution of a trust deed
      properties:
        date:
          $ref: '#/components/schemas/Date-With-References'
    Linked-Individual-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Base-Entity-With-References'
        - type: object
          properties:
            dateOfBirth:
              $ref: '#/components/schemas/Date-With-References'
        - type: object
          properties:
            name:
              $ref: '#/components/schemas/Individual-Name-With-References'
    Linked-Organization-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Base-Entity-With-References'
        - type: object
          properties:
            details:
              $ref: '#/components/schemas/Organization-Details-With-References'
    Linked-Unknown-Entity-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Base-Entity-With-References'
        - type: object
          properties:
            name:
              $ref: '#/components/schemas/Value-String-Reference-IDs'
              description: >-
                The name as registered in the primary registry of the
                organization
    Entity-ID-Type-With-References:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID-Writeable'
        entityType:
          $ref: '#/components/schemas/Entity-Type-Writeable'
        referenceIds:
          type: array
          items:
            $ref: '#/components/schemas/Reference-ID'
    Trust-Type-Identification:
      type: object
      description: The type information of the trust
      properties:
        provided:
          $ref: '#/components/schemas/Trust-Type-Supported-Enum'
        detected:
          $ref: '#/components/schemas/Trust-Type-Enum'
    Trust-Type-Specific-Information:
      type: object
      description: >
        Information specific to a type of Trust.


        If the type is known, it should map to one of the following fields, with
        the others being null.

        If the type cannot be discerned then information will be provided as to
        why we could not classify the trust.
      discriminator:
        propertyName: type
        mapping:
          DISCRETIONARY:
            $ref: '#/components/schemas/Trust-Type-Specific-Information-Discretionary'
          UNIT:
            $ref: '#/components/schemas/Trust-Type-Specific-Information-Unit'
          SELF_MANAGED_SUPER_FUND:
            $ref: '#/components/schemas/Trust-Type-Specific-Information-SMSF'
          UNKNOWN:
            $ref: '#/components/schemas/Trust-Type-Specific-Information-Unknown'
      oneOf:
        - $ref: '#/components/schemas/Trust-Type-Specific-Information-Discretionary'
        - $ref: '#/components/schemas/Trust-Type-Specific-Information-Unit'
        - $ref: '#/components/schemas/Trust-Type-Specific-Information-SMSF'
        - $ref: '#/components/schemas/Trust-Type-Specific-Information-Unknown'
    Date-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Writeable'
        - type: object
          properties:
            referenceIds:
              type: array
              items:
                $ref: '#/components/schemas/Reference-ID'
    Base-Entity-With-References:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID-Writeable'
        entityType:
          $ref: '#/components/schemas/Entity-Type-Writeable'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address-With-References'
          description: A list containing all address information associated with the entity
    Individual-Name-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Individual-Name'
        - type: object
          properties:
            referenceIds:
              type: array
              items:
                $ref: '#/components/schemas/Reference-ID'
    Organization-Details-With-References:
      type: object
      description: Organization details about an organization
      properties:
        type:
          $ref: '#/components/schemas/Code-Description-With-References'
        registrationDetails:
          description: >-
            This will contain a list of different registries the organization is
            registered in
          type: array
          items:
            $ref: >-
              #/components/schemas/Organization-Registration-Details-With-References
        name:
          $ref: '#/components/schemas/Value-String-Reference-IDs'
          description: The name as registered in the primary registry of the organization
    Entity-ID-Writeable:
      type: string
      description: >-
        Entity's are assigned an auto-generated UUID to ensure global
        uniqueness, represented as an entityId. The entityId allows for precise
        modification when required. 

        To modify an entity, set the entityId of the entity you wish to update
        in an update request call.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    Entity-Type-Writeable:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        Type of entity within Frankie. This can either be "INDIVIDUAL",
        "ORGANIZATION" or "UNKNOWN"
    Trust-Type-Supported-Enum:
      type: string
      description: The supported types of trusts.
      enum:
        - DISCRETIONARY
        - UNIT
        - SELF_MANAGED_SUPER_FUND
    Trust-Type-Enum:
      type: string
      description: >-
        The types of trusts. If the type cannot be determined, the value is
        UNKNOWN.
      enum:
        - DISCRETIONARY
        - UNIT
        - SELF_MANAGED_SUPER_FUND
        - UNKNOWN
    Trust-Type-Specific-Information-Discretionary:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/Trust-Type-Enum'
        discretionary:
          $ref: '#/components/schemas/Discretionary-Trust-Information'
    Trust-Type-Specific-Information-Unit:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/Trust-Type-Enum'
        unit:
          $ref: '#/components/schemas/Unit-Trust-Information'
    Trust-Type-Specific-Information-SMSF:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/Trust-Type-Enum'
        selfManagedSuperFund:
          $ref: '#/components/schemas/SMSF-Information'
    Trust-Type-Specific-Information-Unknown:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/Trust-Type-Enum'
        unknown:
          $ref: '#/components/schemas/Unknown-Trust-Information'
    Date-Writeable:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: full date in ISO8601 date format of "YYYY-MM-DD"
              example: '1990-03-31'
    Address-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Address-Writeable'
        - type: object
          properties:
            referenceIds:
              type: array
              items:
                $ref: '#/components/schemas/Reference-ID'
    Individual-Name:
      type: object
      required:
        - familyName
      x-examples:
        Example 1:
          givenName: John
          middleName: Jacob
          familyName: Smith
      properties:
        nameId:
          type: string
          example: 87654321-4321-4321-4321-210987654321
          description: >-
            Include the nameId of an existing name for this individual to modify
            it
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        language:
          type: string
          example: eng
          description: >-
            The ISO-639-3 standard code that best represents the language and
            character set of the individual's name
          default: eng
          x-oapi-codegen-extra-tags:
            audit: keep
        givenName:
          type: string
          example: John
          description: First name or given name
          x-oapi-codegen-extra-tags:
            audit: mask
        middleName:
          type: string
          example: R
          description: Middle name(s) or middle initial(s)
          x-oapi-codegen-extra-tags:
            audit: mask
        familyName:
          type: string
          example: Doe
          description: Last name, family name, or surname.
          x-oapi-codegen-extra-tags:
            audit: mask
        otherName:
          type: string
          example: null
          description: >-
            Another name that this person may be known as, e.g., "Bob" as an
            alternative to "Robert".
          x-oapi-codegen-extra-tags:
            audit: mask
        prefix:
          type: string
          example: Dr.
          description: >-
            Letters or words that come before an individual's full name (e.g.,
            title or honorific).
          x-oapi-codegen-extra-tags:
            audit: mask
        suffix:
          type: string
          example: Jr.
          description: >-
            Letters or words that come after an individual's full name (e.g.,
            generational suffix).
          x-oapi-codegen-extra-tags:
            audit: mask
        sourceId:
          type: string
          example: 87654321-4321-4321-4321-210987654322
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        displayName:
          type: string
          example: John Doe
          description: >-
            Long format of the individual's full name, including any prefix,
            suffix, middle, or other names. Best used when the proper structure
            of the individual's name is unknown.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the name was last updated. ISO 8601 format.
    Code-Description-With-References:
      type: object
      allOf:
        - $ref: '#/components/schemas/Code-Description'
        - type: object
          properties:
            referenceIds:
              type: array
              items:
                $ref: '#/components/schemas/Reference-ID'
    Organization-Registration-Details-With-References:
      type: object
      properties:
        registrationNumber:
          description: The registration number of the organization in the registry
          type: string
        registrationNumberType:
          description: The type of the registration number, e.g. ACN, ABN, etc.
          type: string
        registrationNumberDescription:
          description: >-
            The description of type of the registration number, e.g. Australian
            Company Number, Australian Business Number, etc.
          type: string
        referenceIds:
          type: array
          items:
            $ref: '#/components/schemas/Reference-ID'
    Discretionary-Trust-Information:
      type: object
      description: Information specific to that of a discretionary trust
      properties:
        specifiedBeneficiaries:
          type: array
          items:
            $ref: '#/components/schemas/Entity-ID-Type-With-References'
        generalBeneficiaries:
          type: array
          items:
            $ref: '#/components/schemas/Value-String-Reference-IDs'
        appointors:
          type: array
          items:
            $ref: '#/components/schemas/Entity-ID-Type-With-References'
        protectors:
          type: array
          items:
            $ref: '#/components/schemas/Entity-ID-Type-With-References'
    Unit-Trust-Information:
      type: object
      description: Information specific to that of a unit trust.
      properties:
        unitHolders:
          type: array
          items:
            $ref: '#/components/schemas/Unit-Trust-Holder'
        totalUnits:
          $ref: '#/components/schemas/Value-Int-Reference-IDs'
    SMSF-Information:
      type: object
      description: Information specific to that of a self managed super fund
      properties:
        members:
          type: array
          items:
            $ref: '#/components/schemas/SMSF-Member'
    Unknown-Trust-Information:
      type: object
      description: >
        When a trust type cannot be identified, this object will contain
        information about why we were unable to classify the trust.


        To move forward with a trust analsysis confirmation, a trust type must
        be identified. This can be set in the document analyze endpoint if the
        trust type is known ahead of time.
      properties:
        reasons:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Address-Writeable:
      type: object
      description: Address information in all available formats
      allOf:
        - $ref: '#/components/schemas/Address-Base'
        - type: object
          properties:
            unstructuredLongForm:
              type: string
              description: >-
                Raw unformatted address as provided by the source. Not
                normalized or standardized.
    Code-Description:
      type: object
      properties:
        code:
          description: Short standard code or normalized representation of the information
          type: string
        description:
          description: >-
            The information relevant to the code, could be a more descriptive
            information
          type: string
    Unit-Trust-Holder:
      type: object
      description: A unit holder of a unit trust.
      allOf:
        - $ref: '#/components/schemas/Entity-ID-Type-With-References'
        - type: object
          properties:
            holding:
              $ref: '#/components/schemas/Unit-Trust-Holding'
    Value-Int-Reference-IDs:
      type: object
      properties:
        value:
          description: The value of the field
          type: integer
        referenceIds:
          type: array
          items:
            $ref: '#/components/schemas/Reference-ID'
    SMSF-Member:
      type: object
      description: A member of a self managed superannuation fund
      allOf:
        - $ref: '#/components/schemas/Entity-ID-Type-With-References'
        - type: object
          properties:
            unstructuredRole:
              type: string
    Date-Type:
      type: string
      default: GREGORIAN
      enum:
        - BUDDHIST
        - DISCORDIAN
        - GREGORIAN
        - HEBREW
        - ISLAMIC
        - JULIAN
        - LUNAR
        - MESO_AMERICAN
        - PERSIAN
        - OTHER
      description: >-
        The calendar system used for the date, e.g., BUDDHIST, DISCORDIAN,
        GREGORIAN, HEBREW, ISLAMIC, JULIAN, LUNAR, MESO_AMERICAN, PERSIAN, or
        OTHER.
      x-oapi-codegen-extra-tags:
        audit: keep
    Address-Base:
      type: object
      required:
        - country
      description: Address information in all available formats
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the address was last updated. ISO 8601 format.
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          $ref: '#/components/schemas/Address-TypeEnum'
          description: >-
            Used to indicate what sort of address this is, such as residential,
            business, postal, etc. Should be used in conjunction with the status
            field to indicate the current status of the address and provide more
            context.
        typeDescription:
          type: string
          description: >-
            Description for the type or the address type as fetched from an
            authoritative source like a company registry.
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address first became active. Used mostly with business
            addresses.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, town, village, suburb, or city.
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The administrative area, state, or sub-division. Use local
            abbreviations, such as VIC (Victoria) or TX (Texas).
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO-3166-1 country code. You must use the alpha-3 country code
            (e.g., AUS, USA, IDR, KOR, etc). Conversion will be handled as
            needed.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal code of the address.
          x-oapi-codegen-extra-tags:
            audit: keep
        careOf:
          type: string
          description: >-
            The individual or business name at this address, if different from
            the name of the entity to which this address belongs.
          x-oapi-codegen-extra-tags:
            audit: mask
        status:
          $ref: '#/components/schemas/Address-StatusEnum'
          description: >-
            The status of the address information, such as current, previous, or
            future. Should be used in conjunction with the `type` field to
            indicate the type of the address and provide more context.
    Unit-Trust-Holding:
      type: object
      description: The amount of units held by an entity in a unit trust.
      properties:
        percentage:
          type: number
          format: float
        count:
          type: integer
    Address-TypeEnum:
      type: string
      default: OTHER
      enum:
        - OTHER
        - RESIDENTIAL
        - BUSINESS
        - POSTAL
        - REGISTERED_OFFICE
        - PLACE_OF_BUSINESS
        - OFFICIAL_CORRESPONDANCE
        - PLACE_OF_BIRTH
        - OFFICE_LOCALITY
        - AUTHORITATIVE_RESIDENTIAL
      x-oapi-codegen-extra-tags:
        audit: keep
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Address-StatusEnum:
      type: string
      default: CURRENT
      enum:
        - CURRENT
        - PREVIOUS
        - FUTURE
      x-oapi-codegen-extra-tags:
        audit: keep
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````